Page MenuHomePhabricator

Add a method to get the list of registered static analyzer checkers.
ClosedPublic

Authored by alexfh on Nov 4 2016, 2:25 PM.

Details

Summary

This provides a better interface for clang-tidy and encapsulates the knowledge
about experimental checkers instead of leaving this to the clients.

Diff Detail

Repository
rL LLVM

Event Timeline

alexfh updated this revision to Diff 76944.Nov 4 2016, 2:25 PM
alexfh retitled this revision from to Add a method to get the list of registered static analyzer checkers..
alexfh updated this object.
alexfh added a reviewer: zaks.anna.
alexfh added a subscriber: cfe-commits.
zaks.anna edited edge metadata.Nov 5 2016, 10:30 AM

Thanks for fixing this!

lib/StaticAnalyzer/Core/AnalyzerOptions.cpp
39 ↗(On Diff #76944)

Debug checkers are not user-facing; they are used to debug the analyzer. So we should either have another flag for them or always skip them.

zaks.anna edited edge metadata.Nov 5 2016, 10:31 AM
zaks.anna added subscribers: dcoughlin, NoQ.
alexfh updated this revision to Diff 77098.Nov 7 2016, 2:06 PM
  • Don't expose debug checkers.
alexfh marked an inline comment as done.Nov 7 2016, 2:07 PM
zaks.anna accepted this revision.Nov 7 2016, 10:15 PM
zaks.anna edited edge metadata.

Looks good. Thank you!

This revision is now accepted and ready to land.Nov 7 2016, 10:15 PM
This revision was automatically updated to reflect the committed changes.